# org.pdfclown.documents.multimedia.MediaScreenParameters.Viability Class Reference

Media screen parameters viability. More...

Inheritance diagram for org.pdfclown.documents.multimedia.MediaScreenParameters.Viability:

List of all members.

## Classes
class | FloatingWindowParametersObject
## Public Types
enum | WindowTypeEnum { Floating, FullScreen, Hidden, Annotation }
## Public Member Functions
virtual object | Clone (Document context)
| Gets a clone of the object, registered inside the given document context.
virtual bool | Delete ()
| Removes the object from its document context.
override bool | Equals (object obj)
override int | GetHashCode ()
## Static Public Member Functions
static PdfDirectObject | GetBaseObject (PdfObjectWrapper wrapper)
| Gets the PDF object backing the specified wrapper.
## Protected Member Functions
void | CheckCompatibility (object feature)
| Checks whether the specified feature is compatible with the document's conformance version.
virtual PdfString | RetrieveName ()
| Retrieves the name possibly associated to this object, walking through the document's name dictionary.
PdfDirectObject | RetrieveNamedBaseObject ()
| Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.
## Properties
DeviceRGBColor | BackgroundColor`[get, set]`
| Gets/Sets the background color for the rectangle in which the media is being played.
double | BackgroundOpacity`[get, set]`
| Gets/Sets the opacity of the background color.
virtual PdfDirectObject | BaseObject`[get, set]`
PdfIndirectObject | Container`[get]`
| Gets the indirect object containing the base object.
PdfIndirectObject | DataContainer`[get]`
| Gets the indirect object containing the base data object.
Document | Document`[get]`
| Gets the document context.
File | File`[get]`
| Gets the file context.
FloatingWindowParametersObject | FloatingWindowParameters`[get, set]`
| Gets/Sets the options used in displaying floating windows.
MonitorSpecifierEnum | MonitorSpecifier`[get, set]`
| Gets/Sets which monitor in a multi-monitor system a floating or full-screen window should appear on.
WindowTypeEnum | WindowType`[get, set]`
| Gets/Sets the type of window that the media object should play in.

##

Media screen parameters viability.

## Member Enumeration Documentation

enum org::pdfclown::documents::multimedia::MediaScreenParameters::Viability::WindowTypeEnum

Enumerator:

  Floating | A floating window.
  FullScreen | A full-screen window that obscures all other windows.
  Hidden | A hidden window.
  Annotation | The rectangle occupied by the screen annotation associated with the media rendition.

## Member Function Documentation

void org.pdfclown.objects.PdfObjectWrapper.CheckCompatibility | ( | object | feature | ) | `[protected, inherited]`

Checks whether the specified feature is compatible with the document's conformance version.

Parameters:

  | feature | Entity whose compatibility has to be checked. Supported types: VersionEnum Property name resolvable to an annotated getter method MemberInfo

virtual object org.pdfclown.objects.PdfObjectWrapper.Clone | ( | Document | context | ) | `[virtual, inherited]`

Gets a clone of the object, registered inside the given document context.

Parameters:

  | context | Which document the clone has to be registered in.

virtual bool org.pdfclown.objects.PdfObjectWrapper.Delete | ( |  | ) | `[virtual, inherited]`

Removes the object from its document context.

The object is no more usable after this method returns.

Returns:
  Whether the object was actually decontextualized (only indirect objects can be decontextualize).

Reimplemented in org.pdfclown.documents.interaction.annotations.Annotation, org.pdfclown.documents.interaction.navigation.page.Article, and org.pdfclown.documents.interaction.navigation.page.ArticleElement.

override bool org.pdfclown.objects.PdfObjectWrapper.Equals | ( | object | obj | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

static PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.GetBaseObject | ( | PdfObjectWrapper< PdfDictionary > | wrapper | ) | `[static, inherited]`

Gets the PDF object backing the specified wrapper.

Parameters:

  | wrapper | Object to extract the base from.

override int org.pdfclown.objects.PdfObjectWrapper.GetHashCode | ( |  | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

virtual PdfString org.pdfclown.objects.PdfObjectWrapper.RetrieveName | ( |  | ) | `[protected, virtual, inherited]`

Retrieves the name possibly associated to this object, walking through the document's name dictionary.

Reimplemented in org.pdfclown.documents.multimedia.Rendition.

PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.RetrieveNamedBaseObject | ( |  | ) | `[protected, inherited]`

Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.

## Property Documentation

DeviceRGBColor org.pdfclown.documents.multimedia.MediaScreenParameters.Viability.BackgroundColor`[get, set]`

Gets/Sets the background color for the rectangle in which the media is being played.

This color is used if the media object does not entirely cover the rectangle or if it has transparent sections.

double org.pdfclown.documents.multimedia.MediaScreenParameters.Viability.BackgroundOpacity`[get, set]`

Gets/Sets the opacity of the background color.

Returns:
  A number in the range 0 to 1, where 0 means full transparency and 1 full opacity.

virtual PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.BaseObject`[get, set, inherited]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.Container`[get, inherited]`

Gets the indirect object containing the base object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.DataContainer`[get, inherited]`

Gets the indirect object containing the base data object.

Document org.pdfclown.objects.PdfObjectWrapper.Document`[get, inherited]`

Gets the document context.

File org.pdfclown.objects.PdfObjectWrapper.File`[get, inherited]`

Gets the file context.

FloatingWindowParametersObject org.pdfclown.documents.multimedia.MediaScreenParameters.Viability.FloatingWindowParameters`[get, set]`

Gets/Sets the options used in displaying floating windows.

MonitorSpecifierEnum org.pdfclown.documents.multimedia.MediaScreenParameters.Viability.MonitorSpecifier`[get, set]`

Gets/Sets which monitor in a multi-monitor system a floating or full-screen window should appear on.

WindowTypeEnum org.pdfclown.documents.multimedia.MediaScreenParameters.Viability.WindowType`[get, set]`

Gets/Sets the type of window that the media object should play in.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.